*{
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
}

:root{
    --background-color: #000430;
    --seccondarybackground: #171c48;
    --text: #fff;
    --purple: #828dff;
    --teal: #24feee;
}

body{
    background-color: var(--background-color);
    color: var(--text);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    max-width: 500px;
    
}
.details{
    width: 100%;
}

.stat-container{
    padding: 30px;
    border-radius: 20px;
    border: 2px solid var(--purple);
    display: flex;
    justify-content: space-between;
    gap: 50px;
    width: 100%;
}
#progress-bar{
    width: 100%;
    height: 10px;
    background-color: var(--seccondarybackground);
    border-radius: 5px;
    margin-top: 20px;

}
#progress{
    width: 50%;
    height: 10px;
    background-color: var(--teal);
    border-radius: 10px;
    transition:all 0.3s ease;
}
#numbers{
    width: 100px;
    height: 100px;
    background-color: var(--purple);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-size: 30px;
    font-weight: bold;
}
form{
    margin-top: 60px;
    width: 100%;
    display: flex;
    gap: 5px;
}
input{
    flex: 1;
    padding: 16px;
    background-color: var(--seccondarybackground);
    border: 1px solid var(--purple);
    border-radius: 30px;
    outline: none;
    color: var(--text);
    
}
button{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--purple);
    color: var(--text);
    font-size: 30px;
    font-weight: bold;
    outline: none;
}
#task-list{
    margin-top: 30px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
    list-style-type: none;
}
.taskItem{
    display: flex;
    background-color: var(--seccondarybackground);
    padding: 20px;
    border-radius: 10px;
    justify-content: space-between;
    align-items: center;
}
.task{
    display: flex;
    align-items: center;
    gap: 10px;
}
.task input{
    width: 20px;
    height: 20px;
}
.task.completed{
    text-decoration: line-through;
    color: var(--teal);
}
.taskItem img{
    width: 20px;
    height: 20px;
    margin: 0 10px;
    cursor: pointer;
}